Qt Cryptographic Architecture: QCA::PGPKeyContext Class Reference

Qt Cryptographic Architecture

Public Member Functions | List of all members
QCA::PGPKeyContext Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::PGPKeyContext:
[legend]

## Public Member Functions
virtual ConvertResult | fromAscii (const QString &s)=0
virtual ConvertResult | fromBinary (const QByteArray &a)=0
| PGPKeyContext (Provider *p)
virtual const PGPKeyContextProps * | props () const =0
virtual QString | toAscii () const =0
virtual QByteArray | toBinary () const =0

## Additional Inherited Members
Protected Member Functions inherited from QCA::BasicContext
| BasicContext (Provider *parent, const QString &type)
| BasicContext (const BasicContext &from)

## Detailed Description

OpenPGP key provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want PGPKey instead.

## Constructor & Destructor Documentation

## ◆ PGPKeyContext()

QCA::PGPKeyContext::PGPKeyContext | ( | Provider * | p | ) |
| inline

Standard constructor.

Parameters

  p | the Provider associated with this context

## Member Function Documentation

## ◆ props()

virtual const PGPKeyContextProps* QCA::PGPKeyContext::props | ( |  | ) | const
| pure virtual

Returns a pointer to the properties of this key.

## ◆ toBinary()

virtual QByteArray QCA::PGPKeyContext::toBinary | ( |  | ) | const
| pure virtual

Convert the key to binary format, and return the value.

## ◆ toAscii()

virtual QString QCA::PGPKeyContext::toAscii | ( |  | ) | const
| pure virtual

Convert the key to ascii-armored format, and return the value.

## ◆ fromBinary()

virtual ConvertResult QCA::PGPKeyContext::fromBinary | ( | const QByteArray & | a | ) |
| pure virtual

Read binary input and convert it into a key.

Returns QCA::ConvertGood if successful, otherwise some error value.

Parameters

  a | the input data

## ◆ fromAscii()

virtual ConvertResult QCA::PGPKeyContext::fromAscii | ( | const QString & | s | ) |
| pure virtual

Read ascii-armored input and convert it into a key.

Returns QCA::ConvertGood if successful, otherwise some error value.

Parameters

  s | the input data

The documentation for this class was generated from the following file:

- qcaprovider.h